package accrue.analysis.ext;

import polyglot.util.SerialVersionUID;
import accrue.analysis.pointer.ReferenceVariable;

public class ExtProcedureDecl extends ExtCodeDecl {
    private static final long serialVersionUID = SerialVersionUID.generate();

    private ReferenceVariable thisNode;

    public void setThisNode(ReferenceVariable thisNode) {
        this.thisNode = thisNode;
    }

    public ReferenceVariable getThisNode() {
        return this.thisNode;
    }
}
